#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
LIRCHOME=/etc/tuxbox/config/lirc
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions

cd $LIRCHOME
if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
rm $INSTALLDIR/* > /dev/null 2>&1
rm $LIRCHOME/lirc*.tar > /dev/null 2>&1

echo "---------------------------------------------"
echo "Creating Lirc Installation Kit Version: $VERSION"
echo "---------------------------------------------"

if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
# remove when linked (when filled will fail)
#rm $PLUGINDIR/Lircmanager > /dev/null 2>&1
#cp -r Lircmanager $PLUGINDIR
#
unix2dos $LIRCHOME/readme.txt
cd /
tar -cf $INSTALLDIR/lirc$VERSION.tar $LIRCHOME/lircd.config.* $LIRCHOME/*.lirc $LIRCHOME/readme.txt $LIRCHOME/makekit.sh $LIRCHOME/bzip2*  /usr/sbin/lircd /usr/sbin/irsend /etc/lircd.conf /etc/init.d/lirc
dos2unix $LIRCHOME/readme.txt
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/lirc$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
cd /
ipkg install $INSTALLDIR/bzip2*
cd $MBHOME
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/lirc$VERSION.tar
ls -1alh $INSTALLDIR/lirc$VERSION.tar.*
echo "---------------------------------------------"
cd $MBHOME
exit 0

